Bug 122750 - Installer can't start X on Matrox Ultima/Impression
Installer can't start X on Matrox Ultima/Impression
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-07 13:23 EDT by Dave Jones
Modified: 2015-01-04 17:05 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.143-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 14:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log from /tmp (11.83 KB, text/plain)
2004-05-07 13:24 EDT, Dave Jones
no flags Details
X config from /tmp (3.50 KB, text/plain)
2004-05-07 13:24 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2004-05-07 13:23:30 EDT
Description of problem:

Anaconda starts up, tries to configure X, fails miserably, and falls
back to text mode installer.

Card is..
00:08.0 VGA compatible controller: Matrox Graphics, Inc. MGA
Ultima/Impression

See attached files..
Comment 1 Dave Jones 2004-05-07 13:24:02 EDT
Created attachment 100085 [details]
X log from /tmp
Comment 2 Dave Jones 2004-05-07 13:24:29 EDT
Created attachment 100086 [details]
X config from /tmp
Comment 3 Mike A. Harris 2004-09-14 03:00:57 EDT
Is that pre-millenium hardware?
Comment 4 Mike A. Harris 2004-10-12 03:12:10 EDT
pts/9
mharris@laser:~/rpmbuild/BUILD/xorg-x11-6.8.1/xc/programs/Xserver/hw/xfree86/common$
grep -i 0d10 *
xf86PciInfo.h:#define PCI_CHIP_IMPRESSION               0x0D10
pts/9
mharris@laser:~/rpmbuild/BUILD/xorg-x11-6.8.1/xc/programs/Xserver/hw/xfree86/drivers/mga$
grep PCI_CHIP_IMPRESSION *
pts/9
mharris@laser:~/rpmbuild/BUILD/xorg-x11-6.8.1/xc/programs/Xserver/hw/xfree86/drivers/mga$
grep -i 0d10 *
pts/9
mharris@laser:~/rpmbuild/BUILD/xorg-x11-6.8.1/xc/programs/Xserver/hw/xfree86/drivers/mga$


It appears this is just really old hardware that isn't supported
by the XFree86 4.x or X.Org 6.8.x 'mga' video driver.  We should
map this video adaptor to the "vesa" driver in pcitable/Cards.

Reassigning to 'hwdata' package for driver reassignment of
device:  102b:0d10 to the "vesa" driver.

Comment 5 Bill Nottingham 2004-10-12 14:12:17 EDT
Fixed in 0.143-1.

Note You need to log in before you can comment on or make changes to this bug.